/** */
export class OutletElement extends HTMLElement {
    /** Initialize */
    connectedCallback(): Promise<void>;
    created: boolean;
    /** Dispose */
    disconnectedCallback(): void;
    canLeave: any;
    /** @returns {string} value of the attribute called name. Can not be changed was set. */
    getName(): string;
    outletName: string;
    /**
     * @private
     * @param {string} url to parse
     * @returns url broken into segments
     */
    private _createPathSegments;
    /**
     * Replaces the content of this outlet with the supplied new content
     * @fires OutletElement#onOutletUpdated
     * @param {string|DocumentFragment|Node} content - Content that will replace the current content of the outlet
     */
    renderOutletContent(content: string | DocumentFragment | Node): void;
    /**
     * Takes in a url that contains named outlet data and renders the outlet using the information
     * @param {string} url to parse and create outlet content for
     * @returns {Promise<void>} that was added to the outlet as a result of processing the named url
     */
    processNamedUrl(url: string): Promise<void>;
    /** Dispatch the onOutletUpdate event */
    dispatchOutletUpdated(): void;
}
